## McdProxy McdProxy — Mission proxy class |

## Stability Level

Unstable, unless otherwise indicated

## Synopsis

    #include <mcd-proxy.h>

                        McdProxy;
    McdProxy *          mcd_proxy_new                       (McdMission *proxy_mission);
    const McdMission *  mcd_proxy_get_proxy_object          (McdProxy *proxy);

## Object Hierarchy

      GObject
       +----McdMission
             +----McdOperation
                   +----McdProxy

## Properties

      "proxy-object"             McdMission*           : Read / Write

## Description

This is a simple container class that proxies the events from a proxy object to self container.

## Details

### McdProxy

    typedef struct _McdProxy McdProxy;

### mcd_proxy_new ()

    McdProxy *          mcd_proxy_new                       (McdMission *proxy_mission);

`proxy_mission` : |
Returns : |

### mcd_proxy_get_proxy_object ()

    const McdMission *  mcd_proxy_get_proxy_object          (McdProxy *proxy);

`proxy` : |
Returns : |

## Property Details

### The `"proxy-object"` property

      "proxy-object"             McdMission*           : Read / Write

Object to be monitored for McdMission signals.